# Add-On for pretalx vm hosted at c3voc.
# c3voc ansible only takes care of the basic things, this node only
# does the things ansible does *not* do.

nodes['voc.pretalx'] = {
    'hostname': 'pretalx.c3voc.de',
    'bundles': {
        'backup-client',
        'c3voc-addons',
        'pretalx',
        'postfix',
        'postgresql',
        'redis',
        'sshmon',
    },
    'metadata': {
        'interfaces': {
            'default': {
                'ips': {
                    '31.172.33.105/28',
                    '2a01:a700:48d1::105/64',
                },
                'gateway4': '31.172.33.110',
                'gateway6': '2a01:a700:48d1::1',
            },
        },
        'backup-client': {
            'server': 'franzi-home.kunbox.net:2022',
        },
        'nginx': {
            'vhosts': {
                'pretalx': {
                    'domain': 'pretalx.c3voc.de',
                    'proxy': {
                        '/': {
                            'target': 'http://127.0.0.1:22060/',
                        },
                    },
                    'extras': True,
                    'website_check_path': '/orga/login/',
                    'website_check_string': 'Sign in :: pretalx',
                },
            },
        },
        'pretalx': {
            'version': 'v2.1.1',
            'domain': 'pretalx.c3voc.de',
            'mail_from': 'pretalx@c3voc.de',
        },
        'postfix': {
            'myhostname': 'pretalx.c3voc.de',
            'relayhost': 'mng.c3voc.de',
        },
    },
    'os': 'debian',
    'os_version': (10,)
}
